Name: qt-creator
Version: 1.1.0
Release: alt2
Summary: Lightweight and cross-platform IDE for Qt

Group: Development/Tools
License: LGPLv2 with exceptions
Url: http://www.qtsoftware.com/developer/qt-creator
Packager: Boris Savelev <boris@altlinux.org>

Source: http://download.qtsoftware.com/qtcreator/%name-%version-src.tar.gz
Source1: qtcreator.desktop

# Automatically added by buildreq on Fri Apr 24 2009
BuildRequires: gcc-c++ libqt4-sql-sqlite
BuildRequires: libqt4-devel >= 4.5.0

%package doc
Summary: %name docs
Group: Documentation
BuildArch: noarch
Requires: %name
Requires: libqt4-sql-sqlite

%description doc
Documentation for %name

%description
Qt Creator (previously known as Project Greenhouse) is a new,
lightweight, cross-platform integrated  development environment (IDE)
designed to make development with the Qt application framework
even faster and easier.

%prep
%setup -q -n %name-%version-src
subst 's,tools\/qdoc3,bin,' doc/doc.pri
subst 's,share\/doc\/qtcreator,share\/qtcreator\/doc,' doc/doc.pri src/plugins/help/helpplugin.cpp

%build
export QTDIR=%_qt4dir
qmake-qt4
%make_build

%install
%makeinstall_std INSTALL_ROOT=%buildroot%_prefix
mkdir -p %buildroot%_desktopdir
install %SOURCE1 %buildroot%_desktopdir
mv -f %buildroot%_bindir/qtcreator.bin %buildroot%_bindir/qtcreator

%files
%doc README LICENSE.LGPL LGPL_EXCEPTION.TXT
%_bindir/qtcreator
%_libdir/qtcreator
%dir %_datadir/qtcreator
%_datadir/qtcreator/*
%exclude %_datadir/qtcreator/doc
%_pixmapsdir/qtcreator_logo_*.png
%_desktopdir/qtcreator.desktop

%files doc
%_datadir/qtcreator/doc

%changelog
* Tue Apr 28 2009 Boris Savelev <boris@altlinux.org> 1.1.0-alt2
- build doc (fix #19799)

* Thu Apr 23 2009 Boris Savelev <boris@altlinux.org> 1.1.0-alt1
- initial build for Sisyphus from Fedora

* Tue Mar 20 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 1.0.0-4
- fix lib's loading in 64 bit machines

* Tue Mar 18 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 1.0.0-3
- Changed License to LGPLv2 with exceptions and BR to qt4-devel >= 4.5.0

* Tue Mar 17 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 1.0.0-2
- Improved Version to make it more compatible with fedora guidelines

* Sun Mar 15 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 1.0.0-1
- initial RPM release
